package com.alibaba.druid.sql.dialect.mysql.ast.statement;

import com.alibaba.druid.sql.dialect.mysql.ast.FullTextType;
import com.alibaba.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MysqlShowFullTextStatement extends MySqlStatementImpl implements MySqlShowStatement {
   private FullTextType type;

   public FullTextType getType() {
      return this.type;
   }

   public void setType(FullTextType type) {
      this.type = type;
   }

   public void accept0(MySqlASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }
}
